Package ru.bitel.bgbilling.modules.hd.server.bean

# Class HdPackage

java.lang.Object
ru.bitel.bgbilling.modules.hd.server.bean.HdPackage

All Implemented Interfaces:
  `ListItem`

public class HdPackage extends Object implements ListItem

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HdPackage()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getActivateType()`
  `List<Integer>`
  `getDomainZoneList()`
  `String`
  `getHostAddr()`
  `int`
  `getHostCol()`
  `int`
  `getHostDomain()`
  `int`
  `getHostingHost()`
  `int`
  `getHostingType()`
  `int`
  `getId()`
  `int`
  `getNsDomain()`
  `List<Integer>`
  `getNsServerPrimaryList()`
  `List<Integer>`
  `getNsServerSecondaryList()`
  `List<Integer>`
  `getPeriodsActivation()`
  `List<Integer>`
  `getPeriodsProlongation()`
  `int`
  `getProlongationType()`
  `int`
  `getServiceId()`
  `String`
  `getTitle()`
  `boolean`
  `isDomainEnable()`
  `boolean`
  `isHostEnable()`
  `boolean`
  `isHostingEnable()`
  `boolean`
  `isNsEnable()`
  `void`
  `setActivateType(int activateType)`
  `void`
  `setDomainEnable(boolean domainEnable)`
  `void`
  `setDomainZoneList(List<Integer> domainZones)`
  `void`
  `setHostAddr(String hostAddr)`
  `void`
  `setHostCol(int hostCol)`
  `void`
  `setHostDomain(int hostDomainType)`
  `void`
  `setHostEnable(boolean hostEnable)`
  `void`
  `setHostingEnable(boolean hostingEnable)`
  `void`
  `setHostingHost(int hostingHostType)`
  `void`
  `setHostingType(int hostingType)`
  `void`
  `setId(int id)`
  `void`
  `setNsDomain(int nsDomainType)`
  `void`
  `setNsEnable(boolean nsEnable)`
  `void`
  `setNsServerPrimaryList(List<Integer> nsList)`
  `void`
  `setNsServerSecondaryList(List<Integer> nsList)`
  `void`
  `setPeriodsActivation(List<Integer> periodsActivation)`
  `void`
  `setPeriodsProlongation(List<Integer> periodsProlongation)`
  `void`
  `setProlongationType(int prolongationType)`
  `void`
  `setServiceId(int serviceId)`
  `void`
  `setTitle(String title)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HdPackage

    public HdPackage()

- ## Method Details

  - ### getPeriodsActivation

    public List<Integer> getPeriodsActivation()

  - ### setPeriodsActivation

    public void setPeriodsActivation(List<Integer> periodsActivation)

  - ### getPeriodsProlongation

    public List<Integer> getPeriodsProlongation()

  - ### setPeriodsProlongation

    public void setPeriodsProlongation(List<Integer> periodsProlongation)

  - ### setDomainZoneList

    public void setDomainZoneList(List<Integer> domainZones)

  - ### setNsServerPrimaryList

    public void setNsServerPrimaryList(List<Integer> nsList)

  - ### setNsServerSecondaryList

    public void setNsServerSecondaryList(List<Integer> nsList)

  - ### getActivateType

    public int getActivateType()

  - ### setActivateType

    public void setActivateType(int activateType)

  - ### isDomainEnable

    public boolean isDomainEnable()

  - ### setDomainEnable

    public void setDomainEnable(boolean domainEnable)

  - ### getHostDomain

    public int getHostDomain()

  - ### setHostDomain

    public void setHostDomain(int hostDomainType)

  - ### isHostEnable

    public boolean isHostEnable()

  - ### setHostEnable

    public void setHostEnable(boolean hostEnable)

  - ### isHostingEnable

    public boolean isHostingEnable()

  - ### setHostingEnable

    public void setHostingEnable(boolean hostingEnable)

  - ### getHostingHost

    public int getHostingHost()

  - ### setHostingHost

    public void setHostingHost(int hostingHostType)

  - ### getNsDomain

    public int getNsDomain()

  - ### setNsDomain

    public void setNsDomain(int nsDomainType)

  - ### isNsEnable

    public boolean isNsEnable()

  - ### setNsEnable

    public void setNsEnable(boolean nsEnable)

  - ### getProlongationType

    public int getProlongationType()

  - ### setProlongationType

    public void setProlongationType(int prolongationType)

  - ### getNsServerPrimaryList

    public List<Integer> getNsServerPrimaryList()

  - ### getNsServerSecondaryList

    public List<Integer> getNsServerSecondaryList()

  - ### getDomainZoneList

    public List<Integer> getDomainZoneList()

  - ### getHostingType

    public int getHostingType()

  - ### setHostingType

    public void setHostingType(int hostingType)

  - ### getServiceId

    public int getServiceId()

  - ### setServiceId

    public void setServiceId(int serviceId)

  - ### getId

    public int getId()
    Specified by:
      `getId` in interface `ListItem`

  - ### setId

    public void setId(int id)

  - ### getHostAddr

    public String getHostAddr()

  - ### setHostAddr

    public void setHostAddr(String hostAddr)

  - ### getHostCol

    public int getHostCol()

  - ### setHostCol

    public void setHostCol(int hostCol)

  - ### getTitle

    public String getTitle()
    Specified by:
      `getTitle` in interface `ListItem`

  - ### setTitle

    public void setTitle(String title)